Subject: Re: fread()
From: [email-masked] (Chris Faylor)

30 Nov 1997 23:07:07 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Bhaskar Bhattacharya <[email-masked]> wrote:
>Does any body know if fread() always works correctly in the cygnus
>port ? I am having some problem where an early EOF is being detected
>and I am not able to read all elements from a file of float. I can
>read the same file from another program without any problem where I
>use fseek() every time to position the file pointer. I have not tried 
>to recreate the problem in a smaller code yet.
>
>Thanks for any information.

It sounds like you're not opening the file as binary, i.e.:

	fopen("thefile", "rb");
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".